> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/modify-order.md).

# Modify Order

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/ModifyOrder`

\
**QUERY PARAMETERS**

| Request Parameter   | Description        | Mandatory |
| ------------------- | ------------------ | --------- |
| broker              | Broker Code        | Yes       |
| strategy            | Strategy Name      | No        |
| exchange            | Exchange name      | Yes       |
| symbol              | Trading Symbol     | Yes       |
| order\_id           | Order ID           | Yes       |
| action              | Action             | Yes       |
| product             | Product Type       | Yes       |
| pricetype           | Price Type         | Yes       |
| price               | Price              | Yes       |
| quantity            | Quantity           | Yes       |
| disclosed\_quantity | Disclosed Quantity | No        |
| trigger\_price      | Trigger Price      | No        |

{% code title="# Here is a curl example" %}

```
curl \
-X POST https://amapi.algomojo.com/v1/ModifyOrder
```

{% endcode %}

{% code title="Request example :" %}

```
{
"api_key":"your_api_key",
"api_secret":"your_api_secret",
"data":
{
 "broker":"ab",
 "strategy":"Test Strategy",
 "exchange":"NSE",
 "symbol":"RELIANCE-EQ",
 "order_id":"221107000109641",
 "action":"BUY",
 "product":"CNC",
 "pricetype":"LIMIT",
 "price":"0",
 "quantity":"1",
 "disclosed_quantity":"0",
 "trigger_price":"0"
}
}
```

{% endcode %}

{% code title="Response example:" %}

```
{
"status": "success",
"data": {
 "result": "220105000048291"
}
}
```

{% endcode %}
